ClassicSteering = {};
addModEventListener(ClassicSteering);

local AxisSpeed = 0.02;
local SteeringAxisSide = nil;
local LastControlledVehicle = nil;

function ClassicSteering:update(dt)
	if g_currentMission.controlledVehicle then
		if LastControlledVehicle == nil or LastControlledVehicle ~= g_currentMission.controlledVehicle then
			SteeringAxisSide = g_currentMission.controlledVehicle.spec_drivable.axisSide;
			LastControlledVehicle = g_currentMission.controlledVehicle
		end;

		local rotateBackSpeedSetting = g_gameSettings:getValue(GameSettings.SETTING.STEERING_BACK_SPEED);
		local sensitivitySetting = g_gameSettings:getValue(GameSettings.SETTING.STEERING_SENSITIVITY);
		rotateBackSpeedSetting = rotateBackSpeedSetting / 10;

		--print("rotateBackSpeedSetting: "..rotateBackSpeedSetting);
		--print("sensitivitySetting: "..sensitivitySetting);

		local InputThisFrame = false;

		if Input.isKeyPressed(Input.KEY_a)then
			SteeringAxisSide = SteeringAxisSide - AxisSpeed*sensitivitySetting;
			InputThisFrame = true;
		end;
		if Input.isKeyPressed(Input.KEY_d)then
			SteeringAxisSide = SteeringAxisSide + AxisSpeed*sensitivitySetting;
			InputThisFrame = true;
		end;	

		if SteeringAxisSide > 1 then SteeringAxisSide = 1; end;
		if SteeringAxisSide < -1 then SteeringAxisSide = -1; end;

		if not InputThisFrame then
			if SteeringAxisSide > 0 then SteeringAxisSide = SteeringAxisSide - AxisSpeed*rotateBackSpeedSetting end;
			if SteeringAxisSide < 0 then SteeringAxisSide = SteeringAxisSide + AxisSpeed*rotateBackSpeedSetting end;
		end;

		g_currentMission.controlledVehicle.spec_drivable.axisSide = SteeringAxisSide;
	end;

	if not g_currentMission.controlledVehicle then SteeringAxisSide = nil; LastControlledVehicle = nil; end;
end;

addModEventListener(ClassicSteering);
